Issue 19340

Summary: Make different paragraph styles within a textbox as well as character styles possible
Product: Impress Reporter: rabauke <sven.burmeister>
Component: formattingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: ace_dent, andreas.braendle, cno, egle, hhielscher, issues, kamataki, masaya.k, pet.ebe, rb.henschel, werbung
Version: OOo 2.0.4Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 40005    
Attachments:
Description Flags
Demo document none

Description rabauke 2003-09-09 17:36:04 UTC
When opening a new presentation, you click on the textbox to enter some text. 
This works fine. Then you double-click on a style in in the stylist in order to 
assign it to the text, which does not have any effect.
Right-clicking an entry in the stylist opens the context-menu with only modify 
in it, assign is missing.

In RC 3 this problem was similar but occured only when the text in the box was 
bulleted using the bullet-button in the toolbar.

The same behaviour was reported in the mailinglist about calc and writer, as 
well as draw.
Comment 1 firmail 2003-09-09 20:49:03 UTC
The issue is more a request for enhancement it seems, than a bug. 
 
The stylist/styles cannot be applied in textboxes. IMHO they should be applicable 
to text in textboxes. 
 
Workaround: write your text in writer first, copy-paste it into impress, so it is a 
writer-component in impress rather than a simple textbox... 
 
But this seems unusable because hardcoding the styles to your text in textboxes 
is easier. 
Comment 2 firmail 2003-09-09 20:59:27 UTC
Little addon: 
 
Just checked with RC4.  
The stylist is disabled in textboxes in Writer/calc, styles cannot be applied to 
textboxes there. 
 
In draw/impress the stylist is enabled, styles can be applied but only one style 
per textbox. Which again renders it useless, because you need a textbox for 
every style you wish to apply. 
 
Hardcoding the styles by applying font size, bold, nubering directly or by 
format>character works fine though - even in the same textbox, in 
draw/writer/calc/impress.  
Comment 3 wolframgarten 2003-09-10 07:21:53 UTC
Reassigned to Christian.
Comment 4 utomo99 2003-09-20 03:47:49 UTC
I think it is RFE not a defect. 

please explain why we need stylist in text box, and need more than one
style. 

if you can, better to add sample documents
Comment 5 rabauke 2003-09-20 07:56:53 UTC
For example:
You have a bullet point and then a line to explain the bullet point,
then another bullet point and another line to explain that one.

Are you really serious about having to add another textbox every time
you change the style of the text? Everytime you insert a new one you
have to make sure it is perfectly aligned with the one above, thus you
will have to use the grid, unnecessary worktime in my opinion.

Further, if it is possible to hardcode, i.e. using the menus,
different styles/formats in a textbox, why should it not possible to
use the stylist to do exactly that? As far as I am concerned, the
stylist is a kind of shortcut for formatting, replacing the need to go
into the menus everytime you want to change a format/style.

Finally, this bug is not only about having different styles in a
textbox (issue 19343), but the fact that in RC3 the stylist worked,
applying styles to a textbox, even if it was only one per box. Now
even this functionality is gone, hence this is a bug and not a feature.
Comment 6 firmail 2003-09-20 08:10:06 UTC
The styles are one of the _good_ things in OO, it should be built uppon. I am just 
writing a presentation and I would really like to be able to change bullets, 
headings, fonts... the way I do in writer. But it isn't possible, so you end up doing 
things over and over again. 
 
The outline view is great, it really gives you an overview (and it doesn't exist 
IMHO in the other office program) But it's only good if you have simple things to 
do. Because if the alignement/font/sizes become a bit more complicated and you 
cannot apply any styles, then you end up being in the drawing-view all the time. 
 
Styles are not too easy to learn. But if you know the power of them then it's 
great - why should they only be of use in the writer? Why not make one 
consistent way to do things? 
 
 
Comment 7 rblackeagle 2003-09-20 16:48:19 UTC
Okay, MY reason for wanting to be able to apply styles in a textbox. 
If I want a textbox to contain a heading style (which I might change
later -- the reason for styles in the first place) and a following
paragraph to have Text Body style and a quotation inserted to have
Quotation style, I cannot do it in the textbox at all.  Strange as it
may seem to the developers, I have done that in frames, but frames do
not behave the way I want them to, which is why I want to use a
textbox frame.  Thus, I have a need for the ability to apply styles to
text in a textbox.

I don't understand why this should be so hard to understand.
Comment 8 christian.guenther 2003-10-20 16:42:11 UTC
Hi Bettina
I think this is a RFE.
Therefore I send the issue to you.
Please have a look.
smile :o)Christian
Comment 9 jvromans 2004-01-17 17:21:18 UTC
Created attachment 12532 [details]
Demo document
Comment 10 rabauke 2004-03-22 21:02:30 UTC
*** Issue 19340 has been confirmed by votes. ***
Comment 11 Regina Henschel 2006-03-24 17:42:20 UTC
*** Issue 63588 has been marked as a duplicate of this issue. ***
Comment 12 ace_dent 2006-12-02 18:11:46 UTC
*** Issue 19343 has been marked as a duplicate of this issue. ***
Comment 13 ace_dent 2006-12-02 18:14:31 UTC
*** Issue 48724 has been marked as a duplicate of this issue. ***
Comment 14 ace_dent 2006-12-02 18:27:38 UTC
Tested with OOo 2.0.4, WinXP PC. Problem still persists: Cannot assign different
styles to individual sections of text within a textbox; styles are always
applied to the whole textbox.
Changed summary for clarity (was: "Stylist does not work in textbox").
Set target to 2.X (sorry if it offends- but should be kept on the radar).
Cheers,
Andrew
Comment 15 rabauke 2006-12-02 18:34:20 UTC
This issue is three years old. It was not updated by the assignee, neither 
considered or given any visible attention. Since the OO devs are known for 
marking almost everything as enhancement (how convenient), I have given up on 
the usefulness of reporting anything to this project.

Since I report bugs to all kinds of opensource projects I may say that this is 
the worst bug handling I encountered so far, except for Gimp/Gnome. Yeah, you 
are going to tell me that if I do not like OO and the way the devs work, I 
should simply leave it alone, since nobody forces me to use it. Very 
convincing!
Comment 16 Martin Hollmichel 2008-01-28 02:25:53 UTC
set target 3.x
Comment 17 Regina Henschel 2008-04-23 19:45:43 UTC
*** Issue 41852 has been marked as a duplicate of this issue. ***
Comment 18 Regina Henschel 2008-04-23 19:49:23 UTC
*** Issue 50013 has been marked as a duplicate of this issue. ***
Comment 19 Regina Henschel 2008-04-23 19:51:20 UTC
*** Issue 57296 has been marked as a duplicate of this issue. ***
Comment 20 Regina Henschel 2008-04-23 19:52:43 UTC
Adding me to CC
Comment 21 Regina Henschel 2008-04-23 19:56:01 UTC
*** Issue 88618 has been marked as a duplicate of this issue. ***
Comment 22 michelezarri 2008-04-23 20:49:40 UTC
Could the description of the issue be changed in something referencing character
styles availability within Impress? I think this would avoid the proliferation
of duplicate issues. 

Also I would like to report here some excerpts from the comments made on issue
57296 which I think give a better idea of what is needed.

-- Redux in January 2007
i would particularly welcome this functional addition in order to get far better
presentation-level handling of things like consistent hyperlink colours...at the
moment, it seems backwards having to either manually recolour each hyperlink, or
setting the entire OpenOffice suite's link appearance in the preferences.

-- nemoresus in March 2007
I fully agree, impress can do a bunch of text formatting but its style support
sucks. It does not have paragraph styles either, only some hardcoded styles
applied to the whole text of text-boxes !

One can use style by inserting a OOo-text object but styles are not shared
between them (and it makes editing way more painfull).

Presentations are not only used as "one shot" eye catching things, their
consistency is also important for some people! 

-- jvromans in March 2007
Seconded. Not having character styles is a BIG omission. I produce a lot of
training materials for Impress and maintaining consistent styles is a pain.
Also, not having character and paragraph styles undermines the statement that
OOo is a single, consistent program instead of a conglomeration of loose tools,
like MSO is (or must I say, was?).

-- aschwarzie in May 2007
The lack of character styles or the ability to easily copy and paste character
formating is a significantly impacting weakness, especially when it comes to
polishing the elements of a bulleted list, by "highlighting" key words.
Comment 23 cno 2008-04-23 21:15:33 UTC
Agree with previous comment.
And thanks for summing up the info!

Summary was:
   RFE: Apply different styles to sections of text within a textbox
Now is:
   Make different paragraph styles within a textbox as well as character styles
possible
Comment 24 michelezarri 2008-04-24 08:18:55 UTC
Hello Cor,

Thanks for changing the summary.
I am not very happy with the idea of allowing custom paragraph styles. You can 
modify the 9 existing one as well as insert "normal" text boxes (not 
autolayout ones). 
What is really missing in my opinion is the ability of defining and applying 
character styles (e.g. hyperlink, coloured text, emphasis, quotes, monospace 
for code and so on.)

In summary I think the summary of the issue should be something like

"add the capability in Impress to create, modify and apply character styles"

Cheers,

Michele
Comment 25 rabauke 2008-04-24 08:55:43 UTC
Of course it is important to be able to have more than one paragraph-style per
text-box. Using multiple text-boxes is just working around that issue and
making things more complicated than neccessary.

It absolutely does not make sense if users end-up selecting whole paragraphs
and assign character-styles to them, just because the most obvious solution,
i.e. paragraph-styles, is not available.
Comment 26 cno 2008-04-24 09:10:31 UTC
Hi Michele, Rabauke,
I agree with Rabauke that also paragraph styles are very much welcome.
Comment 27 cno 2008-12-12 22:51:10 UTC
change subcomponent to 'formatting' (so that I can find this issue easier ;)
Comment 28 cno 2008-12-12 23:01:06 UTC
wrt the request for outline / paragraph styles: pls see
http://wiki.services.openoffice.org/wiki/Documentation/FAQ/Impress/How_can_I_create_new_styles%3F
And in the Help: Index > 'slide designs', follow link to 'Styles and Formatting'

I only found this recently. It is not the most flexible solution, but certainly
allows to work with different styles throughout the presentation.
Comment 29 cno 2008-12-12 23:01:42 UTC
*** Issue 69745 has been marked as a duplicate of this issue. ***
Comment 30 dogshed 2009-03-26 04:57:31 UTC
This should be changed to a defect because it is not like writer.
If this feature works one way in writer and another in presentation
then one of them must be wrong.
Comment 31 michelezarri 2009-03-26 11:44:15 UTC
Hello,

I do not think this is a defect but rather a new feature for Impress. 
I also still believe that the emphasis should be on character styles rather than
paragraph styles. 
At present, users of Impress can (have to?) learn to appreciate a styled
approach to writing a presentation/document and by allowing the creation of new
paragraph styles besides the already existing ones we will lose this.
Presentations created with Impress are almost automatically very consistent in
their appearance, something that every user appreciates and that comes as a freebie.
On the other hand, in my experience I found the lack of character styles that
may be used to emphasise sections of the text consistently across a presentation
a very bad shortcoming and something that makes people doubt about the level of
integration of the various components of OOo. 

Cheers,

Michele
Comment 32 cno 2009-05-05 09:04:30 UTC
*** Issue 81742 has been marked as a duplicate of this issue. ***
Comment 33 windl 2009-11-23 08:29:48 UTC
Let me add a little comment: I'm surprised that six years after having wished
for this enhancement (and after several people had had the same wish, see
duplicates), it's still not there in OOo 3.1.1. I don't see why having character
styles should be more difficult to implement in Impress than in Writer.
Comment 34 Regina Henschel 2010-03-15 21:41:17 UTC
*** Issue 110152 has been marked as a duplicate of this issue. ***
Comment 35 eberlein 2010-03-16 08:21:17 UTC
.
Comment 36 bettina.haberer 2010-05-21 14:53:25 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".